
QGIS Application - Bug report #14371

QGIS Locks All Files Within a Folder
Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.8.5 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22354

Description

QGIS appears to lock all the files within a folder even though it is accessing only a subset of the files.

I created a new text file within a folder where QGIS is accessing a raster. Once the text file is created, I can no longer edit it. This is true of

other GIS files that QGIS is not accessing.

Version is 2.8.6 but I cannot select that below

History

#1 - 2016-06-14 10:08 PM - Jürgen Fischer

- Category set to Data Provider/OGR

#2 - 2016-10-07 05:48 AM - Even Rouault

- Status changed from Open to Feedback

I tried with a .txt file and a GeoTIFF file and didn't hit that issue with QGIS 2.16.3 on Win7. Could you try to create a new directory and check what is the

minimum content to reproduce the issue ? (and provide the data and steps you applied)

#3 - 2016-10-08 01:09 PM - Mark Schulz

I now have 2.14.6 installed and the issue no longer exists so it must have been fixed somewhere along the line.

Thanks

#4 - 2017-01-02 06:46 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
